Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.10
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.swing.factory
[Groovy] Class GridBagFactory

    java.lang.Object
      groovy.util.AbstractFactory
          groovy.swing.factory.BeanFactory
              groovy.swing.factory.LayoutFactory
                  groovy.swing.factory.GridBagFactory

    class GridBagFactory
    extends LayoutFactory

Field Summary

Fields inherited from class LayoutFactory
DEFAULT_DELEGATE_PROPERTY_CONSTRAINT, DELEGATE_PROPERTY_CONSTRAINT

Fields inherited from class BeanFactory
leaf

Constructor Summary
`GridBagFactory()`

Method Summary
`void` | `addLayoutProperties(def context)`
`static Object` | `extractAttribute(Map attrs, String name, Class type)` Returns: null if not found.
`static void` | `processGridBagConstraintsAttributes(FactoryBuilderSupport builder, Object node, Map attributes)`

Methods inherited from class LayoutFactory
addLayoutProperties, addLayoutProperties, constraintsAttributeDelegate, getLayoutTarget, newInstance, setParent

Methods inherited from class BeanFactory
isLeaf, newInstance

Methods inherited from class AbstractFactory
isHandlesNodeChildren, isLeaf, onFactoryRegistration, onHandleNodeAttributes, onNodeChildren, onNodeCompleted, setChild, setParent

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Constructor Detail

### GridBagFactory

    GridBagFactory()

Method Detail

### addLayoutProperties

    void addLayoutProperties(def context)

### extractAttribute

    static Object extractAttribute(Map attrs, String name, Class type)

  Returns:
    null if not found. null as a 'not found' works because all attrs except insets are primitive types, and insets will crash if set to null

### processGridBagConstraintsAttributes

    static void processGridBagConstraintsAttributes(FactoryBuilderSupport builder, Object node, Map attributes)

Copyright © 2003-2010 The Codehaus. All rights reserved.